<div fxFlex fxLayout="column" fxLayoutGap="10px" style="height: 100vh;">
  <div class="loading-shade" *ngIf="isLoadingResults">
    <mat-progress-spinner *ngIf="isLoadingResults"></mat-progress-spinner>
  </div>
  <div fxLayout="row wrap" fxLayoutAlign="center center">
    <div
      fxFlex="100"
      fxFlex.md="100"
      fxFlex.sm="100"
      fxFlex.xs="100"
      fxLayout="column"
      style="padding: 5px;">

      <mat-card>
        <mat-card-title>Consulta de Unidades</mat-card-title>
        <mat-card-content>
          <div style="width: 100%;">
            <button mat-button *ngIf="hasAccessAdm()" routerLink="/unidade" class="primary" style="text-align: right;">Nova Unidade</button>  
          </div>

          <mat-form-field>
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Insira aqui os critérios de pesquisa">
          </mat-form-field>

          <table mat-table [dataSource]="unidades" matSort class="mat-elevation-z8">

            <ng-container matColumnDef="unidadeId" sticky>
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Número </th>
              <td mat-cell *matCellDef="let element"> {{element.unidadeId}} </td>
            </ng-container>

            <ng-container matColumnDef="unidadeNome">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Nome </th>
              <td mat-cell *matCellDef="let element"> {{element.unidadeNome}} </td>
            </ng-container>

            <ng-container matColumnDef="tipoUnidade">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Tipo </th>
              <td mat-cell *matCellDef="let element"> {{element.tipoUnidade}} </td>
            </ng-container>
            
            <ng-container matColumnDef="endereco.bairro">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Bairro </th>
              <td mat-cell *matCellDef="let element"> {{element.endereco.bairro}} </td>
            </ng-container>

            <ng-container matColumnDef="endereco.cidade.cidadeNome" stickyEnd>
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Cidade </th>
              <td mat-cell *matCellDef="let element"> {{element.endereco.cidade.cidadeNome}} </td>
            </ng-container>

            <ng-container matColumnDef="acoes">
              <th mat-header-cell *matHeaderCellDef> Ações </th>
              <td mat-cell *matCellDef="let element">
                <mat-icon [routerLink]="['/detalhe', element.unidadeId]" class="icon-link" data-toggle="tooltip" data-placement="top" title="Detalhar unidade">dehaze</mat-icon>
                <mat-icon *ngIf="hasAccessAdm()" [routerLink]="['/unidade', element.unidadeId]" class="icon-link" data-toggle="tooltip" data-placement="top" title="Alterar unidade">edit</mat-icon>
                <mat-icon *ngIf="hasAccessAdm()" (click)="openDialog(element)" class="icon-link" data-toggle="tooltip" data-placement="top" title="Excluir unidade" data-toggle="modal" data-target="#exampleModal">delete</mat-icon>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true;"></tr>
            <tr mat-row *matRowDef="let row; let even = even; columns: displayedColumns;" [ngClass]="{gray: even}"></tr>
          </table>

          <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </mat-card-content>
      </mat-card>

    </div>
  </div>
</div>